import Vue from 'vue'
import Vuetify from 'vuetify/lib'
import manifestJSON from '../../public/manifest.json'

Vue.use(Vuetify)

const mq = window.matchMedia('(prefers-color-scheme: dark)')

const vuetify = new Vuetify({
  icons: {
    iconfont: 'mdi'
  },
  theme: {
    dark: mq.matches,
    primary: manifestJSON.theme_color,
    secondary: '#00bcd4',
    accent: '#9c27b0',
    error: '#f44336',
    warning: '#ff9800',
    info: '#607d8b',
    success: '#4caf50'
  }
})

export default vuetify
